Bug 143672 - [maintainer-update] dyncall-0.5 update
Summary: [maintainer-update] dyncall-0.5 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-08 13:50 UTC by Tassilo Philipp
Modified: 2010-02-09 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.92 KB, patch)
2010-02-08 13:50 UTC, Tassilo Philipp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tassilo Philipp 2010-02-08 13:50:01 UTC
	dyncall 0.5 update
Comment 1 Dmitry Marakasov freebsd_committer 2010-02-08 18:12:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2010-02-09 02:10:26 UTC
State Changed
From-To: open->feedback

Does not install: http://people.freebsd.org/~amdmi3/dyncall-0.5.log
Comment 3 Tassilo Philipp 2010-02-09 11:18:13 UTC
diff -ruN dyncall.old/Makefile dyncall/Makefile
--- dyncall.old/Makefile	2010-02-07 23:24:56.000000000 +0100
+++ dyncall/Makefile	2010-02-09 11:52:42.000000000 +0100
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	dyncall
-PORTVERSION=	0.3
+PORTVERSION=	0.5
 CATEGORIES=	devel
 MASTER_SITES=	http://www.dyncall.org/r${PORTVERSION}/
 
@@ -18,7 +18,7 @@
 
 MAKEFILE=	BSDmakefile
 
-# There is no install target in the BSD makefile of version 0.3 of the dyncall library, so
+# There is no install target in the BSD makefile of version 0.5 of the dyncall library, so
 # install it manually.
 
 .include <bsd.port.pre.mk>
@@ -28,16 +28,16 @@
 .endif
 
 do-install:
-	${CP} ${WRKSRC}/dyncall/dyncall.h           ${PREFIX}/include/dyncall.h
-	${CP} ${WRKSRC}/dyncall/dyncall_callf.h     ${PREFIX}/include/dyncall_callf.h
-	${CP} ${WRKSRC}/dyncall/dyncall_config.h    ${PREFIX}/include/dyncall_config.h
-	${CP} ${WRKSRC}/dyncall/dyncall_macros.h    ${PREFIX}/include/dyncall_macros.h
-	${CP} ${WRKSRC}/dyncall/dyncall_signature.h ${PREFIX}/include/dyncall_signature.h
-	${CP} ${WRKSRC}/dyncall/dyncall_types.h     ${PREFIX}/include/dyncall_types.h
-	${CP} ${WRKSRC}/dyncall/dyncall_value.h     ${PREFIX}/include/dyncall_value.h
-	${CP} ${WRKSRC}/dynload/dynload.h           ${PREFIX}/include/dynload.h
-	${CP} ${WRKSRC}/dyncall/libdyncall_s.a      ${PREFIX}/lib/libdyncall_s.a
-	${CP} ${WRKSRC}/dynload/libdynload_s.a      ${PREFIX}/lib/libdynload_s.a
+	${INSTALL_DATA}	${WRKSRC}/dyncall/dyncall.h \
+					${WRKSRC}/dyncall/dyncall_*.h \
+					${WRKSRC}/dyncallback/dyncall_*.h \
+					${WRKSRC}/dynload/dynload.h \
+					${PREFIX}/include
+	${INSTALL_DATA}	${WRKSRC}/dyncall/libdyncall_s.a \
+					${WRKSRC}/dyncallback/libdyncallback_s.a \
+					${WRKSRC}/dynload/libdynload_s.a \
+					${PREFIX}/lib
+
 .for f3 in ${MAN3}
 	${INSTALL_MAN} ${WRKSRC}/doc/${f3} ${MAN3PREFIX}/man/man3
 .endfor
diff -ruN dyncall.old/distinfo dyncall/distinfo
--- dyncall.old/distinfo	2010-02-07 23:24:56.000000000 +0100
+++ dyncall/distinfo	2010-02-07 23:45:10.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (dyncall-0.3.tar.gz) = 4d7aedacd38cca46c5608082772fc356
-SHA256 (dyncall-0.3.tar.gz) = 158963ad2f61dd5779c5904f08e67565f2ee29e2cdae637086280ab929f17d98
-SIZE (dyncall-0.3.tar.gz) = 189804
+MD5 (dyncall-0.5.tar.gz) = 0f3682045851abe6f853383c7c08c6ae
+SHA256 (dyncall-0.5.tar.gz) = a781f110e5d7e02cb356ea1aada0c1cd63fff951056d138838a4442f100b9e7f
+SIZE (dyncall-0.5.tar.gz) = 257532
diff -ruN dyncall.old/pkg-plist dyncall/pkg-plist
--- dyncall.old/pkg-plist	2010-02-07 23:24:56.000000000 +0100
+++ dyncall/pkg-plist	2010-02-09 11:56:57.000000000 +0100
@@ -1,10 +1,45 @@
 include/dyncall.h
+include/dyncall_alloc.h
+include/dyncall_alloc_wx.h
+include/dyncall_args.h
+include/dyncall_args_arm32_arm.h
+include/dyncall_args_arm32_thumb.h
+include/dyncall_args_ppc32.h
+include/dyncall_args_x64.h
+include/dyncall_args_x86.h
+include/dyncall_call_arm32_arm.h
+include/dyncall_call_arm32_thumb.h
+include/dyncall_call_mips32.h
+include/dyncall_call_ppc32.h
+include/dyncall_call_x64.h
+include/dyncall_call_x86.h
+include/dyncall_callback.h
+include/dyncall_callback_arm32_arm.h
+include/dyncall_callback_arm32_thumb.h
+include/dyncall_callback_ppc32.h
+include/dyncall_callback_x64.h
+include/dyncall_callback_x86.h
 include/dyncall_callf.h
+include/dyncall_callvm.h
+include/dyncall_callvm_arm32_arm.h
+include/dyncall_callvm_arm32_thumb.h
+include/dyncall_callvm_mips32.h
+include/dyncall_callvm_ppc32.h
+include/dyncall_callvm_x64.h
+include/dyncall_callvm_x86.h
 include/dyncall_config.h
 include/dyncall_macros.h
 include/dyncall_signature.h
+include/dyncall_thunk.h
+include/dyncall_thunk_arm32_arm.h
+include/dyncall_thunk_arm32_thumb.h
+include/dyncall_thunk_ppc32.h
+include/dyncall_thunk_x64.h
+include/dyncall_thunk_x86.h
 include/dyncall_types.h
 include/dyncall_value.h
+include/dyncall_vector.h
 include/dynload.h
 lib/libdyncall_s.a
+lib/libdyncallback_s.a
 lib/libdynload_s.a
Comment 4 Dmitry Marakasov freebsd_committer 2010-02-09 19:39:38 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2010-02-09 19:39:39 UTC
amdmi3      2010-02-09 19:39:30 UTC

  FreeBSD ports repository

  Modified files:
    devel/dyncall        Makefile distinfo pkg-plist 
  Log:
  - Update to 0.5
  
  PR:             143672
  Submitted by:   "Tassilo Philipp" <tphilipp@potion-studios.com> (maintainer)
  
  Revision  Changes    Path
  1.5       +12 -12    ports/devel/dyncall/Makefile
  1.4       +3 -3      ports/devel/dyncall/distinfo
  1.2       +35 -0     ports/devel/dyncall/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"